
global raw "$path/raw_data"
global work "$path/working_data"

** 2010_Adult 

use "$raw/cfps2010adult_report_nat092014.dta", clear
gen ub_pen=0 
gen rr_pen=0 
gen sp_pen=0 
forvalues i=1/18{
replace ub_pen=1 if qj3_s_`i'==6 
}

forvalues i=1/18{
replace rr_pen=1 if qj3_s_`i'==7 
}

forvalues i=1/18{
replace sp_pen=1 if qj3_s_`i'==8
}
gen pen=0 
replace pen=1 if ub_pen==1 | rr_pen==1 | sp_pen==1 
tab pen,m 

gen age=qa1age 
gen female=1-gender 
gen hukou=qa2 
gen marriage_status=qe1_best
gen work= qg3 
gen agri_work=qg4 
gen wage_lastyr=qk101
gen otwage_lastyr=qk102

save "$work/adult10.dta", replace 

** 2012_Adult 

use "$raw/cfps2012adultcombined_112014.dta", clear 
ren  cfps2012_age age_12 
gen nrsp_pt=0  
egen mis=rowmin(qi604_s_1 qi604_s_2 qi604_s_3 qi604_s_4 qi604_s_5 qi604_s_6 qi604_s_7 qi604_s_8)
forvalues i=1/8 {
replace nrsp_pt=1 if qi604_s_`i'==4
replace nrsp_pt=. if mis==. 
}
gen nrsp_rc=0  
replace nrsp_rc=1 if qi5014==1 
replace nrsp_rc=. if qi5014<0 
replace nrsp_rc=. if qi5014==. 
gen nrsp_pt_sp=0  

forvalues i=1/8{
replace nrsp_pt_sp=1 if qi605_s_`i'==4
replace nrsp_pt_sp=. if mis1==. 
}
gen nrsp=0 
replace nrsp=1 if nrsp_rc==1 | nrsp_pt==1 | nrsp_pt_sp==1 
replace nrsp=. if nrsp_rc==. & nrsp_pt==. & nrsp_pt_sp==.  
replace nrsp_pt=1 if nrsp_pt_sp==1 

ren cyear cy12 
ren cmonth cmt
ren fid10 fid 
set more off 
merge m:m fid using "$raw/cfps2010adult_report_nat092014.dta", keepusing (cyear cmonth)
drop if _merge!=3
drop _merge
ren cyear lyr 
ren cmonth lmt

gen nrsp_pre=0 
gen nrsp_post=0 
gen nrps_yr= qi503y_a_4
replace nrps_yr=. if  qi503y_a_4<0
gen nrps_mt= qi503m_a_4
replace nrps_mt=. if qi503m_a_4<0
replace nrps_yr= qi1001y if nrps_yr==. & qi1001y>0 & qi1001y!=.
replace nrps_mt= qi1001m if nrps_mt==. & qi1001m>0 & qi1001m!=.

bysort cid: egen cm_nrps_yr=mode(nrps_yr)
replace nrps_yr=cm_nrps_yr if nrps_yr==. & nrsp==1 
bysort countyid: egen ct_nrps_yr=mode(nrps_yr)
replace nrps_yr=ct_nrps_yr if nrps_yr==. & nrsp==1 
bysort cid: egen cm_nrps_mt=mode(nrps_mt)
replace nrps_mt=cm_nrps_mt if nrps_mt==. & nrsp==1 
bysort countyid: egen ct_nrps_mt=mode(nrps_mt) 
replace nrps_mt=ct_nrps_mt if nrps_mt==. & nrsp==1 

tab nrps_yr if nrsp==1 
tab nrps_mt if nrsp==1 
replace nrps_mt=6 if nrps_mt==. & nrsp==1 

replace nrsp_pre=1 if nrsp==1 &  nrps_yr<lyr 
replace nrsp_pre=1 if nrsp==1 &  nrps_yr==lyr & nrps_mt<=lmt 

replace nrsp_post=1 if nrsp_pre==0 & nrsp==1 & nrsp!=. 
lab var nrsp_post "participate in the NRSP program in the second wave"
lab var nrsp_pre "participate in the NRSP program in the first wave"
ren  qa301 hukou
ren qa302 hukou_add
ren  cfps2012_gender_best male

** Duration of NRPS participation

replace nrps_mt=6 if nrps_mt==. &  nrsp==1 
gen sv_tm=cy12+cmt/12 
gen nrps_tm=nrps_yr+nrps_mt/12 
gen nrps_lg=nrps_tm-sv_tm 
replace nrps_lg=-nrps_lg 
replace nrps_lg=. if nrps_lg<0 

lab var nrsp "enrolled in nrsp, receive the pension or not"
lab var nrsp_rc "enrolled in nrsp, received pension" 
lab var nrsp_pt "enrolled in nrsp, not received pension" 
lab var nrps_lg "length of enrollment till the second wave"

save "$work/adult_12pre.dta", replace 

