global raw "$path/raw_data"
global work "$path/working_data"

*==========================================================*
**                 2010-2012 Children                     **
*==========================================================*

use "$work/ch10.dta", clear 

	foreach x in mm mf ff fm{
	replace age_`x'=. if alive_`x'==0 
	}

	local cc age gender marriage edu_c edu_m edu_f age_f age_m father mother edu_exp sch_lv at_sch hukou income 
	local cd fedu_exp familysize fincome total_asset SR
	local ce EGrade chinese_std math_std care_std pid_f pid_m
	local cf alive_f alive_m alive_ff alive_fm alive_mf alive_mm age_ff age_fm age_mf age_mm 
	foreach x in `cc' `cd' `ce' `cf' {
	ren `x' `x'10
	}
	bysort pid: gen rr=_n 
	keep if rr==1
	drop rr 
	merge 1:1 pid using  "$work/ch12.dta"
	drop if _merge==1 
	drop _merge 
	ren income_c income 

	foreach x in mm mf ff fm{
	replace age_`x'=. if alive_`x'==0 
	}
	foreach x in `cc' `cd' `ce' `cf' {
	ren `x' `x'12
	}
	
	foreach x in mm mf ff fm{
	replace alive_`x'12=0 if alive_`x'10==0
	replace age_`x'12=age_`x'10+2 if mi(age_`x'12) & alive_`x'12==1 
	replace age_`x'12=age_`x'10+2 if mi(age_`x'12) & alive_`x'10==1 & mi(alive_`x'12)
	replace age_`x'10=age_`x'12-2 if mi(age_`x'10) & !mi(age_`x'12) & alive_`x'10==1
	}
	
	gen atsch_mis=(at_sch10==. | at_sch12==. )

	bys fid10: egen m_fid12=mean(fid12)
	bys fid12: egen m_fid10=mean(fid10)
	drop if fid10!=m_fid12 
	drop if fid12!=m_fid10 
	drop fid  

	replace age_f12=age_f10+2 if mi(age_f12) & !mi(age_f10)
	replace age_m12=age_m10+2 if mi(age_m12) & !mi(age_m10)
	replace age_f10=age_f12-2 if mi(age_f10) & !mi(age_f12)
	replace age_m10=age_m12-2 if mi(age_m10) & !mi(age_m12)
	replace gender10=gender12 if mi(gender10) & !mi(gender12) & !mi(age10)
	replace gender12=gender10 if mi(gender12) & !mi(gender10)
	gen gender_mis=1 if gender10!=gender12 
	replace sch_lv12=sch_lv10 if sch_lv12==1 & sch_lv10==2 & age10>7 & age10<15 
	replace sch_lv12=sch_lv10 if sch_lv12==5 & sch_lv10==6  
	replace sch_lv12=sch_lv10 if sch_lv12==4 & sch_lv10==6  

	** Age Structure 
	merge m:1 fid10 using "$work/age_structure_10.dta"
	drop if _merge!=3
	drop _merge 
	egen N0_6=rowtotal(m_0_6 f_0_6)
	egen N7_16=rowtotal(m_7_16 f_7_16)
	egen N17_25=rowtotal(m_17_25 f_17_25)
	egen N26_40=rowtotal(m_26_40 f_26_40)
	egen N41_60=rowtotal(m_41_60 f_41_60)
	egen N61_80=rowtotal(m_61_80 f_61_80)
	egen N81_=rowtotal(m_81_ f_81_)
	drop m_* f_*
	foreach x in N0_6 N7_16 N17_25 N26_40 N41_60 N61_80 N81_{
	ren `x' `x'10
	}
	merge m:1 fid12 using "$work/age_structure_12.dta"
	drop if _merge!=3
	drop _merge 
	egen N0_6=rowtotal(m_0_6 f_0_6)
	egen N7_16=rowtotal(m_7_16 f_7_16)
	egen N17_25=rowtotal(m_17_25 f_17_25)
	egen N26_40=rowtotal(m_26_40 f_26_40)
	egen N41_60=rowtotal(m_41_60 f_41_60)
	egen N61_80=rowtotal(m_61_80 f_61_80)
	egen N81_=rowtotal(m_81_ f_81_)
	drop m_* f_*
	foreach x in N0_6 N7_16 N17_25 N26_40 N41_60 N61_80 N81_{
	ren `x' `x'12
	}

	
	drop if mi(age10) & !mi(age12) & pid_f12<0
	bys fid12: egen mage10=mean(age10)
	drop if mi(mage10)
	drop mage10 
	drop if mi(pid_f12) & mi(pid_m12) & mi(age10) 
	
	bys pid_f12: gen rpt=_N  
	bys pid_m12: gen rptm=_N  
	drop if mi(age10) & rpt==1 & rptm==1
	drop if mi(age10) & rpt==1 & mi(pid_m12) 
	drop if mi(age10) & rptm==1 & mi(pid_f12) 
	drop rpt*
	
	foreach x in f m {
	drop if pid_`x'10!=pid_`x'12 & !mi(pid_`x'10) & !mi(pid_`x'12) 
	}
	
	foreach x in f m {
    replace pid_`x'12=pid_`x'10 if mi(pid_`x'12) 
    replace pid_`x'10=pid_`x'12 if mi(pid_`x'10) 
    }
	
	drop if age10>25 & !mi(age10)
	replace age10=age12-2 if mi(age10) & age12>3 
	drop if age10>25 & !mi(age10)
	
	*** Define Sibling Structure 
	forvalues i = 10(2)12{
	gen ch`i'=(!mi(age`i'))
	gen malech`i'=(ch`i' & gender`i')
	bys fid`i' pid_f`i' pid_m`i': egen Nch`i'=total(ch`i')  
	bys fid`i' pid_f`i' pid_m`i': egen NMaleChild`i'=total(malech`i')  
	gen sibling`i'=Nch`i'-1
	drop malech`i'
	}
	forvalues i = 10(2)12{
	bys fid`i' pid_f`i' pid_m`i': egen Mmale`i'=mean(gender`i')
	bys fid`i' pid_f`i' pid_m`i': egen MNage`i'=min(age`i') 
	bys fid`i' pid_f`i' pid_m`i': egen MXage`i'=max(age`i') 
	}
	replace age10=age12-2 if mi(age10)
	
	gen gapNch=Nch12-Nch10
	drop pid_f10 pid_m10 gapNch gender_mis
	ren pid_f12 pid_f
	ren pid_m12 pid_m
	
	save "$work/child1012_wd.dta", replace 

	
	** Add Parent's Actual NRPS Enrollment Status 
	use  "$work/adult_12pre.dta", clear  
	gen NRPS_2010=(nrsp_pre==1)
	gen NRPS_2012=(nrsp_pre==1 | nrsp_post==1)
 	
	keep pid NRPS* 
	ren * *_f 
	duplicates drop pid, force 
	merge 1:m pid_f using "$work/child1012_wd.dta"
	drop if _m==1 
	drop _m 
	save "$work/temp", replace 
	
	use  "$work/adult_12pre.dta", clear  
	gen NRPS_2010=(nrsp_pre==1)
	gen NRPS_2012=(nrsp_pre==1 | nrsp_post==1)
	
	keep pid NRPS* 
	ren * *_m 
	duplicates drop pid, force 
	merge 1:m pid_m using "$work/temp.dta"
	drop if _m==1 
	drop _m  
	
	ren NRPS_2010_m NRPS_m10
	ren NRPS_2010_f NRPS_f10
	ren NRPS_2012_m NRPS_m12
	ren NRPS_2012_f NRPS_f12
	
save "$work/child1012_wd.dta", replace 
	
	