global raw "$path/raw_data"
global work "$path/working_data"

use "$work/child1012_wd.dta", clear 

** RESHAPE 
	local cc age gender marriage sibling edu_c edu_m edu_f age_f age_m father mother edu_exp sch_lv at_sch hukou income NRPS_m NRPS_f NMaleChild 
	local cd fedu_exp familysize fincome total_asset SR Nch Mmale MNage MXage 
	local ce EGrade chinese_std math_std care_std cover1_ cover2_ cover3_
	local cf alive_f alive_m alive_ff alive_fm alive_mf alive_mm age_ff age_fm age_mf age_mm 

	local as N0_6 N7_16 N17_25 N26_40 N41_60 N61_80 N81_
	reshape long `cc' `cd' `as' `ct' `ce' `cf' , i(pid) j(year)
	replace year=2012 if year==12
	replace year=2010 if year==10
	gen post=(year==2012)

	foreach x in visit_rel visit_fre fedu_exp urban12{
	replace `x'=. if `x'<0
	}
	bysort pid: egen mage=mean(age)
	egen age_p=rowmean(age_f age_m)
	gen ln_edexp=log(edu_exp+1)
	bysort pid: gen age10t=age if year==2010
	bysort pid: egen age10=mean(age10t)
	drop age10t

	order pid, bef(age)
	order age10, aft(age)
	foreach x in f m {
	gen edy_`x'= 0 		if edu_`x'==1
	replace edy_`x'=6 	if edu_`x'==2
	replace edy_`x'=9 	if edu_`x'==3
	replace edy_`x'=12 	if edu_`x'==4
	replace edy_`x'=15 	if edu_`x'==5
	replace edy_`x'=16 	if edu_`x'==6
	replace edy_`x'=18 	if edu_`x'==7
	replace edy_`x'=21 	if edu_`x'==8
	}
	egen edy_p=rowmean(edy_f edy_m)
	lab var edy_p "average education years of parents"
		
	bysort countyid: gen county_N=_n 
		
	keep if atsch_mis==0
	keep if age10<26 
	gen female=1-gender 
	egen pro_yr=group(prov year)

	lab var at_sch "attendance"
	lab var ln_edexp "expenditure"
	lab define fem 1"Female" 0"Male"
	lab values female fem 
	
	replace hukou_f=. if hukou_f!=1 & hukou_f!=3
	replace hukou_m=. if hukou_m!=1 & hukou_m!=3
	egen hukou_p=rowmean(hukou_f hukou_m)
	

	drop if hukou_p==3  	
	drop if local_f!=1 & local_m!=1
	keep if age10<=22 & age10>=3
	gen tage=age if year==2012 
	bys pid: egen age12=mean(tage)
	keep if age12<=27 & age12>=5
	drop tage 

	drop if at_sch==. | edu_exp==.
	bys pid: gen rpt=_N
	drop if rpt==1
	drop rpt 

	gen age_p2010=age_p if year==2010
	bys pid: egen age_p10=mean(age_p2010) 
	keep if age_p10<60

	bys pid: egen mfemale=mean(female)
	drop if mfemale==.5

	egen GrandAliveN=rowtotal(alive_ff alive_fm alive_mf alive_mm)	
	gen GrandAliveN10=GrandAliveN if year==10 
	bys pid: egen GrandAliveN_10=mean(GrandAliveN)
	drop GrandAliveN10
	
	keep if age10>=3 & age10<=25 
  	
	preserve 
	bys countyid: gen SampleInCounty=_N
	duplicates drop fid12, force 
	bys countyid: gen FamilyInCounty=_N 
	duplicates drop countyid, force 
	keep countyid SampleInCounty FamilyInCounty
	save "$work/CountyInFinalSample.dta", replace 
	restore 

	
 save "$work/ch1012_lg.dta", replace 
