global raw "$path/raw_data"
global work "$path/working_data"

use  "$work/ch1012_lg.dta", clear 
	drop cover* 
	ren countyid countyid_CFPS 
	merge m:1 countyid year using "$raw/CFPS_countyvar_10&12.dta" , keepusing(ln_GDP ln_GDPpc ln_GDPpc_cal ln_GvtInc ln_GvtExp ln_RurInc ln_RurEmp Population ln_RetailSales *MdStd* *PrmStd*)
	keep if _m==3
	drop _m 
	merge m:1 countyid using  "$raw/CFPS_countyvar_03-09.dta" , keepusing(ln_GDP* ln_GDPpc* ln_GDPpc_cal* ln_GvtInc* ln_GvtExp* ln_RurInc* ln_RurEmp* Population* ln_RetailSales* *MdStd* *PrmStd*)
	drop _m 

	drop fid10 
	ren fid12 fid  
	gen ln_POP=log(Population)
	forvalues i=3/9{
	gen ln_POP200`i'=log(Population200`i')
	}
	forvalues i=3/9{
	local ct_pre`i' ln_GDP200`i' ln_GDPpc200`i' ln_GDPpc_cal200`i' ln_GvtInc200`i' ln_GvtExp200`i' ln_RurInc200`i' ln_RurEmp200`i' ln_POP200`i' ln_RetailSales200`i'
	foreach x in `ct_pre`i'' {
	gen `x'_yr=`x'*post
	}
	}
			
	gen over60=(N61_80>0 | N81_>0)
 	lab var edy_p "Parents' Schooling Year" 
	lab var fem "Female"
	lab var sibl "Siblings" 
	lab var post "Post"
	lab var NMaleChild "No. sons in household"
	gen male_sibling=NMaleChild-1 if !female
	replace male_sibling=NMaleChild if female
	
	
	ren countyid_CFPS countyid 
	merge m:1 countyid using "$work/CFPS_treatment.dta"
	
	drop if _merge!=3
	drop _merge 
 
** TREATMENT AS DEFINED IN CHARLS 
	forvalues i=1/4{
		gen trpt`i'=treat`i'*post 
		gen Trpt`i'=Treat`i'*post 
		lab var trpt`i' "Treat $/times$ Post"
		lab var Trpt`i' "Treat $/times$ Post"
		lab var treat`i' "Treat"
		lab var Treat`i' "Treat" 
		lab var treat3 "Treat"
	}
	
** Treatment from the Pilot list 
	gen ptreat=(pilot==2011 | pilot==2012) 
	lab var ptreat "treatment by pilot list"
	gen ptrpt=ptreat*post 
	gen age2=age^2
	drop fincome2*
	gen ln_finc=log(fincome+1)
	gen ln_fedu=log(fedu_exp+1)
	ren total_asset fasset 
	gen ln_fast=log(fasset+1) if fasset>=0 
	replace ln_fast=0 if fasset<0 
	replace cid=. if cid<0 

	drop gift visit_fre visit_rel SR MXage mage age_p2010 age_p10 ln_finc ln_fedu ln_fast age2
	drop ln_RetailSales* FstScd_ratio* ln_RurEmp* ln_GDPpc* ln_RurInc*
	drop MdStd* ln_MdStd* PrmStd* ln_PrmStd* Population* fparty mparty mfemale
	drop *2003* *2004* urban* 
	
save  "$work/ch1012_em_lg_ready.dta", replace

