
global work "$path/working_data"
global figure "$path/figures"
global table "$path/tables"
global bsc_ct age  age_p  edy_p   
global cctr  ln_GDP ln_POP ln_GvtExp ln_GvtInc 
forvalues i=5/9{
global pre0`i' ln_GDP200`i'_yr ln_POP200`i'_yr ln_GvtInc200`i'_yr ln_GvtExp200`i'_yr  
}


use "$work/ch1012_em_lg_ready.dta", clear
	keep if age10>=3 & age10<=22  
	keep if GrandAliveN_10>0   
	sum edu_exp, det
	local cap99 `r(p99)' 
	local cap95 `r(p95)' 

	gen edu_exp_cap1=edu_exp
	replace edu_exp_cap1=`cap99' if edu_exp>`cap99' & !mi(edu_exp)
	gen edu_exp_cap5=edu_exp
	replace edu_exp_cap5=`cap95' if edu_exp>`cap95' & !mi(edu_exp)
	
	reg edu_exp_cap5 trpt2 treat2 post $bsc_ct $cctr  if fem==1, vce(cl countyid)  
	reg edu_exp_cap5 trpt2 treat2 post $bsc_ct $cctr  if fem==0, vce(cl countyid)  

	
**=================================** 
	** TABLE 1: Attendance 
**=================================**
	
	foreach t in 2 4 {
	qui reghdfe  at_sch trpt`t'  if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using attend`t', dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, No, County Trends, No) ///
		label ctitle(Female) nonotes replace nocons
	qui reghdfe  at_sch trpt`t'  if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using attend`t', dec(3) excel  keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, No, County Trends, No) ///
		label ctitle(Male) nocons
	
	qui reghdfe  at_sch trpt`t' $bsc_ct if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using attend`t', dec(3) excel  keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, No) ///
		label ctitle(Female) nonotes nocons
 	qui reghdfe  at_sch trpt`t' $bsc_ct if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using attend`t', dec(3) excel  keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, No) ///
		label ctitle(Male) nonotes nocons
 
	qui reghdfe  at_sch trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using attend`t', dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, Yes) ///
		label ctitle(Female) nonotes nocons
 	qui reghdfe  at_sch trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using attend`t', dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, Yes) ///
		label ctitle(Male) nonotes nocons
	
	capture erase attend`t'.txt 	
 	}
	
 	local t 2 
	eststo AF1: qui reg at_sch trpt`t' i.countyid i.pro_yr if female==1 
	eststo AM1: qui reg at_sch trpt`t' i.countyid i.pro_yr if female==0
	eststo AF2: qui reg at_sch trpt`t' $bsc_ct i.countyid i.pro_yr if female==1 
	eststo AM2: qui reg at_sch trpt`t' $bsc_ct i.countyid i.pro_yr if female==0
	eststo AF3: qui reg at_sch trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo AM3: qui reg at_sch trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	
	forvalues i=1/3{
	suest AF`i' AM`i' , vce( cl countyid)
	test [AF`i'_mean]trpt`t' = [AM`i'_mean]trpt`t' 
	local chisq`i' `r(chi2)' 
	local pvl`i' `r(p)'
	}
 	dis `chisq1' 
	dis `pvl1' 	
	dis `chisq2' 
	dis `pvl2' 	
	dis `chisq3' 
	dis `pvl3' 	
	sum at_sch if !treat2 & year==2010 & female 
	sum at_sch if !treat2 & year==2010 & !female 
	sum at_sch if !treat2 & year==2010 & female & !mi(edy_p)
	sum at_sch if !treat2 & year==2010 & !female  & !mi(edy_p)
	sum at_sch if !treat2 & year==2010 & female & !mi(edy_p) & !mi(ln_GDP) & !mi(ln_GDP2005)
	sum at_sch if !treat2 & year==2010 & !female  & !mi(edy_p) & !mi(ln_GDP) & !mi(ln_GDP2005)

 
**=================================**
** Table 2: Expenditure  
**=================================**	
	
	foreach t in 2 4 {
	
	qui reghdfe  edu_exp trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
	outreg2 using expend`t', bdec(1) sdec(1) dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, Yes)  label ctitle(raw, Female) nonotes nocons replace 
 	
	qui reghdfe  edu_exp trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
	outreg2 using expend`t', bdec(1) sdec(1) dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, Yes)  label ctitle(raw, Male) nonotes nocons
	
	qui reghdfe  edu_exp_cap1 trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
	outreg2 using expend`t', bdec(1) sdec(1) dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, Yes)  label ctitle(Wins1, Female) nonotes nocons
 
	qui reghdfe  edu_exp_cap1 trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
	outreg2 using expend`t', bdec(1) sdec(1) dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, Yes)  label ctitle(Wins1, Male) nonotes nocons
	
	qui reghdfe  edu_exp_cap5 trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
	outreg2 using expend`t', bdec(1) sdec(1) dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, Yes)  label ctitle(Wins5, Female) nonotes nocons
 
	qui reghdfe  edu_exp_cap5 trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
	outreg2 using expend`t', bdec(1) sdec(1) dec(3) excel keep(trpt*) addtex(County /& Province-year FEs, Yes, Individual Controls, Yes, County Trends, Yes)  label ctitle(Wins5, Male) nonotes nocons

	capture erase expend`t'.txt 	
	}	
 
local t 2	
	eststo EF3: qui reg edu_exp trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo EM3: qui reg edu_exp trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	eststo EF4: qui reg edu_exp_cap1 trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo EM4: qui reg edu_exp_cap1 trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	eststo EF5: qui reg edu_exp_cap5 trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo EM5: qui reg edu_exp_cap5 trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	
	forvalues i=3/5{
	suest EF`i' EM`i' , vce( cl countyid)
	test [EF`i'_mean]trpt`t' = [EM`i'_mean]trpt`t' 
	local chisq`i' `r(chi2)' 
	local pvl`i' `r(p)'
	}

	dis `chisq3' 
	dis `pvl3'  
	dis `chisq4'  
	dis `pvl4'	 
	dis `chisq5' 
	dis `pvl5'	 

sort pid year 
foreach x in edu_exp edu_exp_cap1 edu_exp_cap5 {
	gen d`x'=`x'-`x'[_n-1] if pid==pid[_n-1]
}
	sum edu_exp if treat2==0 & year==2010 	 &   female	& !mi(edy_p) & !mi(ln_GDP) & !mi(ln_GDP2005)
	sum edu_exp if treat2==0 & year==2010 	 & ! female	& !mi(edy_p) & !mi(ln_GDP) & !mi(ln_GDP2005)
	sum edu_exp_cap1 if treat2==0 & year==2010 	 &   female	& !mi(edy_p) & !mi(ln_GDP) & !mi(ln_GDP2005)
	sum edu_exp_cap1 if treat2==0 & year==2010 	 & ! female	& !mi(edy_p) & !mi(ln_GDP) & !mi(ln_GDP2005)
	sum edu_exp_cap5 if treat2==0 & year==2010 	 &   female	& !mi(edy_p) & !mi(ln_GDP) & !mi(ln_GDP2005)
	sum edu_exp_cap5 if treat2==0 & year==2010 	 & ! female	& !mi(edy_p) & !mi(ln_GDP) & !mi(ln_GDP2005)
 
	** test gender difference of effects for Treatment4
	local t 4	
	eststo F1: qui reg at_sch trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M1: qui reg at_sch trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	eststo F2: qui reg edu_exp_cap1  trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M2: qui reg edu_exp_cap1  trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	eststo F3: qui reg edu_exp_cap5  trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M3: qui reg edu_exp_cap5  trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	
	forvalues i=1/3{
	suest F`i' M`i' , vce( cl countyid)
	test [F`i'_mean]trpt`t' = [M`i'_mean]trpt`t' 
	local chisq`i' `r(chi2)' 
	local pvl`i' `r(p)'
	}

	dis `chisq1' 	 
	dis `pvl1' 		 
	dis `chisq2'  	 
	dis `pvl2'	 	 
 	dis `chisq3'  	 
	dis `pvl3'	
	
	
**=========================================** 
** When Using "No-No" as the Control Group 
**=========================================**

local name AlternativeControl 
	
	foreach t in 2 4 {
	
	** Attendance 
	qui reghdfe  at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using `name'`t', dec(3) excel keep(Trpt*) label ctitle(Attend,Female) nonotes nocons replace 
 	
	qui reghdfe  at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using `name'`t', dec(3) excel keep(Trpt*) label ctitle(Attend,Male) nonotes nocons
	
	** Expenditure 1%
	qui reghdfe  edu_exp_cap1 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel  keep(Trpt*) label ctitle(ExpWins1, Female) nonotes nocons
 	
	qui reghdfe  edu_exp_cap1 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel  keep(Trpt*) label ctitle(ExpWins1, Male) nonotes nocons
 
	** Expenditure 5%
	qui reghdfe  edu_exp_cap5 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel keep(Trpt*) label ctitle(ExpWins5,Female) nonotes nocons
 	
	qui reghdfe  edu_exp_cap5 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel keep(Trpt*) label ctitle(ExpWins5, Male) nonotes nocons
 
	capture erase `name'`t'.txt 	
  
 }	
 
 	local t 2	
	eststo F1: qui reg at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M1: qui reg at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0 
	eststo F2: qui reg edu_exp_cap5  Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M2: qui reg edu_exp_cap5  Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	
	forvalues i=1/2{
	suest F`i' M`i' , vce( cl countyid)
	test [F`i'_mean]Trpt`t' = [M`i'_mean]Trpt`t' 
	local chisq`i' `r(chi2)' 
	local pvl`i' `r(p)'
	}

	dis `chisq1' 	 
	dis `pvl1' 		 
	dis `chisq2'  	 
	dis `pvl2'	 
	

**====================================================** 
** When Combining No-No & Yes-Yes as 1 Control Group 
**====================================================**
preserve 
 
local name CombinedControl 
 
	foreach t in 2 4 {
	
	replace Trpt`t'=0 if trpt`t'==0 
	
 	** Attendance 
	qui reghdfe  at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using `name'`t', dec(3) excel keep(Trpt*) label ctitle(Attend,Female) nonotes nocons replace 
 	
	qui reghdfe  at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using `name'`t', dec(3) excel keep(Trpt*) label ctitle(Attend,Male) nonotes nocons
	
	** Expenditure 1%
	qui reghdfe  edu_exp_cap1 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel  keep(Trpt*) label ctitle(ExpWins1, Female) nonotes nocons
 	
	qui reghdfe  edu_exp_cap1 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel  keep(Trpt*) label ctitle(ExpWins1, Male) nonotes nocons
 
	** Expenditure 5%
	qui reghdfe  edu_exp_cap5 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel keep(Trpt*) label ctitle(ExpWins5,Female) nonotes nocons
 	
	qui reghdfe  edu_exp_cap5 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel keep(Trpt*) label ctitle(ExpWins5, Male) nonotes nocons
 
	capture erase `name'`t'.txt 	
 
 }	

restore 
	
	
	local t 2	
	replace Trpt`t'=0 if trpt`t'==0 
	eststo F1: qui reg at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M1: qui reg at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0 
	eststo F2: qui reg edu_exp_cap5  Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M2: qui reg edu_exp_cap5  Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	
	forvalues i=1/2{
	suest F`i' M`i' , vce( cl countyid)
	test [F`i'_mean]Trpt`t' = [M`i'_mean]Trpt`t' 
	local chisq`i' `r(chi2)' 
	local pvl`i' `r(p)'
	}

	dis `chisq1' 	 
	dis `pvl1' 		 
	dis `chisq2'  	 
	dis `pvl2'	 
 
**=========================================** 
** When Using the 5-22 Sample
**=========================================**

use "$work/ch1012_em_lg_ready.dta", clear
	keep if age10>=5 & age10<=22  
	keep if GrandAliveN_10>0   
	sum edu_exp, det
	local cap99 `r(p99)' 
	local cap95 `r(p95)' 

	gen edu_exp_cap1=edu_exp
	replace edu_exp_cap1=`cap99' if edu_exp>`cap99' & !mi(edu_exp)
	gen edu_exp_cap5=edu_exp
	replace edu_exp_cap5=`cap95' if edu_exp>`cap95' & !mi(edu_exp)
	
	sum edu_exp if edu_exp>0, det
	local cap1 `r(p1)' 	
	gen ln_edexp_cap1=log(edu_exp) 
	replace ln_edexp_cap1=log(`cap1') if edu_exp==0

 	
	local name Cohort5_22_ 
	foreach t in 2 4 {
	
 	replace Trpt`t'=trpt`t'
	
 	** Attendance 
	qui reghdfe  at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using `name'`t', dec(3) excel keep(Trpt*) label ctitle(Attend,Female) nonotes nocons replace 
 	
	qui reghdfe  at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)  
		outreg2 using `name'`t', dec(3) excel keep(Trpt*) label ctitle(Attend,Male) nonotes nocons
	
	** Expenditure 1%
	qui reghdfe  edu_exp_cap1 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel  keep(Trpt*) label ctitle(ExpWins1, Female) nonotes nocons
 	
	qui reghdfe  edu_exp_cap1 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel  keep(Trpt*) label ctitle(ExpWins1, Male) nonotes nocons
 
	** Expenditure 5%
	qui reghdfe  edu_exp_cap5 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel keep(Trpt*) label ctitle(ExpWins5,Female) nonotes nocons
 	
	qui reghdfe  edu_exp_cap5 Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr)  vce(cl countyid)
		outreg2 using `name'`t', bdec(1) sdec(1) dec(3) excel keep(Trpt*) label ctitle(ExpWins5, Male) nonotes nocons
 
	capture erase `name'`t'.txt 	
 
 }	
	local t 2	
	eststo F1: qui reg at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M1: qui reg at_sch Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	eststo F2: qui reg edu_exp_cap1  Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M2: qui reg edu_exp_cap1  Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	eststo F3: qui reg edu_exp_cap5  Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==1 
	eststo M3: qui reg edu_exp_cap5  Trpt`t' $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 i.countyid i.pro_yr if female==0
	
	forvalues i=1/3{
	suest F`i' M`i' , vce( cl countyid)
	test [F`i'_mean]Trpt`t' = [M`i'_mean]Trpt`t' 
	local chisq`i' `r(chi2)' 
	local pvl`i' `r(p)'
	}

	dis `chisq1' 	 
	dis `pvl1' 		 
	dis `chisq2'  	 
	dis `pvl2'	 	 
 	dis `chisq3'  	 
	dis `pvl3'		

**=========================================** 
** Treatment Intensity 
**=========================================**

use "$work/ch1012_em_lg_ready.dta", clear
	keep if age10>=3 & age10<=22  
	keep if GrandAliveN_10>0  
	sum cvrt_post if treat2==1, det 
	gen LowTreatPost=trpt2 
	gen MedTreatPost=trpt2
	gen HighTreatPost=trpt2
	replace LowTreatPost=. if treat2==1 & cvrt_post>.27
	replace MedTreatPost=. if treat2==1 & cvrt_post<.2 
	replace MedTreatPost=. if treat2==1 & cvrt_post>.4 
	replace HighTreatPost=. if treat2==1 & cvrt_post<.27 
	
	gen cover_rate=cvrt_pre if year==2010 
	replace cover_rate=cvrt_post if year==2012 
	
 	sum edu_exp, det
	local cap99 `r(p99)' 
	local cap95 `r(p95)' 

	gen edu_exp_cap1=edu_exp
	replace edu_exp_cap1=`cap99' if edu_exp>`cap99' & !mi(edu_exp)
	gen edu_exp_cap5=edu_exp
	replace edu_exp_cap5=`cap95' if edu_exp>`cap95' & !mi(edu_exp)	

	** any transfer 
	reghdfe at_sch LowTreatPost $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr) vce(cl countyid)  
	outreg2 using TreatmentIntensity, dec(3) excel keep(*Post) label nonotes nocons ctitle(at_sch, female, Low) replace 
		
	reghdfe at_sch LowTreatPost $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr) vce(cl countyid)  
	outreg2 using TreatmentIntensity, dec(3) excel keep(*Post) label nonotes nocons ctitle(at_sch, male, Low)  	
	
	reghdfe at_sch HighTreatPost $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr) vce(cl countyid)  
	outreg2 using TreatmentIntensity, dec(3) excel keep(*Post) label nonotes nocons ctitle(at_sch, female, High) 
		
	reghdfe at_sch HighTreatPost $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr) vce(cl countyid)  
	outreg2 using TreatmentIntensity, dec(3) excel keep(*Post) label nonotes nocons ctitle(at_sch, male, High) 	
	
	** expenditure 
	reghdfe edu_exp_cap1 LowTreatPost $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr) vce(cl countyid)  
	outreg2 using TreatmentIntensity, bdec(1) sdec(1) dec(3)  excel keep(*Post) label nonotes nocons ctitle(edu_exp_cap1, female, Low)  
		
	reghdfe edu_exp_cap1 LowTreatPost $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr) vce(cl countyid)  
	outreg2 using TreatmentIntensity, bdec(1) sdec(1) dec(3)  excel keep(*Post) label nonotes nocons ctitle(edu_exp_cap1, male, Low)  		

	reghdfe edu_exp_cap1 HighTreatPost $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==1, abs(i.countyid i.pro_yr) vce(cl countyid)  
	outreg2 using TreatmentIntensity, bdec(1) sdec(1) dec(3)  excel keep(*Post) label nonotes nocons ctitle(edu_exp_cap1, female, High)  
		
	reghdfe edu_exp_cap1 HighTreatPost $bsc_ct $cctr $pre09 $pre08 $pre07 $pre06 $pre05 if fem==0, abs(i.countyid i.pro_yr) vce(cl countyid)  
	outreg2 using TreatmentIntensity, bdec(1) sdec(1) dec(3)  excel keep(*Post) label nonotes nocons ctitle(edu_exp_cap1, male, High)  	
