global raw_data "$path/raw_data"
global working_data "$path/working_data"
global out_files "$path/out_files"

**==============================================**
**                 Transfer 2011                **
**==============================================**
use "$raw_data/family_transfer.dta", clear 

//help from children living apart 

drop ce008s11- ce008s25
forvalues i=1/10{
ren ce008s`i' child`i'
}
forvalues i=1/10 {
gen rm_h`i'=ce009_`i'_1  //regular monetary support 
replace rm_h`i'=. if rm_h`i'>999999 | rm_h`i'<0 
egen mrm_h`i'=rowmean(ce009_`i'_1_a ce009_`i'_1_b)
replace rm_h`i'=mrm_h`i' if rm_h`i'==. & mrm_h`i'<99999999 & mrm_h`i'>0 
replace rm_h`i'=rm_h`i'*2 if ce009_`i'_1_every==3 
replace rm_h`i'=rm_h`i'*4 if ce009_`i'_1_every==2 
replace rm_h`i'=rm_h`i'*12 if ce009_`i'_1_every==1 
}
forvalues i=1/10 { 		//regular non-monetary (in-kind support)
gen rnm_h`i'=ce009_`i'_2
replace rnm_h`i'=. if rnm_h`i'>9999999 | rnm_h`i'<0 
egen mrnm_h`i'=rowmean(ce009_`i'_2_a ce009_`i'_2_b)
replace rnm_h`i'=mrnm_h`i' if rnm_h`i'==. & mrnm_h`i'<9999999 & mrnm_h`i'>0 
replace rnm_h`i'=rnm_h`i'*2 if ce009_`i'_2_every==3 
replace rnm_h`i'=rnm_h`i'*4 if ce009_`i'_2_every==2 
replace rnm_h`i'=rnm_h`i'*12 if ce009_`i'_2_every==1 
}
forvalues i=1/10 {
gen nrm_h`i'=ce009_`i'_3 //non-regular monetary support 
replace nrm_h`i'=. if nrm_h`i'>9999999 | nrm_h`i'<0 
egen mnrm_h`i'=rowmean(ce009_`i'_3_a ce009_`i'_3_b)
replace nrm_h`i'=mnrm_h`i' if nrm_h`i'==. & mnrm_h`i'<9999999 & mnrm_h`i'>0 
}
forvalues i=1/10 {
gen nrnm_h`i'=ce009_`i'_4 //non-regular non-monetary (in-kind support)
replace nrnm_h`i'=. if nrnm_h`i'>9999999 | nrnm_h`i'<0 
egen mnrnm_h`i'=rowmean(ce009_`i'_4_a ce009_`i'_4_b)
replace nrnm_h`i'=mnrnm_h`i' if nrnm_h`i'==. & mnrnm_h`i'<9999999 & mnrnm_h`i'>0 
}
forvalues i=1/10{
egen ctp`i'=rowtotal( rm_h`i'  nrm_h`i' rnm_h`i' nrnm_h`i')
drop mrm_h`i'  mnrm_h`i' mrnm_h`i' mnrnm_h`i' 
drop rm_h`i'  nrm_h`i' rnm_h`i' nrnm_h`i'
}

//transfer to children living apart 

drop ce029_10_*
drop ce028s10- ce028s25

forvalues i=1/9 {
gen rm_h`i'=ce029_`i'_1 
replace rm_h`i'=. if rm_h`i'>999999 | rm_h`i'<0 
egen mrm_h`i'=rowmean(ce029_`i'_1_a ce029_`i'_1_b)
replace rm_h`i'=mrm_h`i' if rm_h`i'==. & mrm_h`i'<99999999 & mrm_h`i'>0 
replace rm_h`i'=rm_h`i'*2 if ce029_`i'_1_every==3 
replace rm_h`i'=rm_h`i'*4 if ce029_`i'_1_every==2 
replace rm_h`i'=rm_h`i'*12 if ce029_`i'_1_every==1 
}
forvalues i=1/9 {
gen rnm_h`i'=ce029_`i'_2
replace rnm_h`i'=. if rnm_h`i'>9999999 | rnm_h`i'<0 
egen mrnm_h`i'=rowmean(ce029_`i'_2_a ce029_`i'_2_b)
replace rnm_h`i'=mrnm_h`i' if rnm_h`i'==. & mrnm_h`i'<9999999 & mrnm_h`i'>0 
replace rnm_h`i'=rnm_h`i'*2 if ce029_`i'_2_every==3 
replace rnm_h`i'=rnm_h`i'*4 if ce029_`i'_2_every==2 
replace rnm_h`i'=rnm_h`i'*12 if ce029_`i'_2_every==1 
}
forvalues i=1/9{
gen nrm_h`i'=ce029_`i'_3 
replace nrm_h`i'=. if nrm_h`i'>9999999 | nrm_h`i'<0 
egen mnrm_h`i'=rowmean(ce029_`i'_3_a ce029_`i'_3_b)
replace nrm_h`i'=mnrm_h`i' if nrm_h`i'==. & mnrm_h`i'<9999999 & mnrm_h`i'>0 
}
forvalues i=1/9 {
gen nrnm_h`i'=ce029_`i'_4 
replace nrnm_h`i'=. if nrnm_h`i'>9999999 | nrnm_h`i'<0 
egen mnrnm_h`i'=rowmean(ce029_`i'_4_a ce029_`i'_4_b)
replace nrnm_h`i'=mnrnm_h`i' if nrnm_h`i'==. & mnrnm_h`i'<9999999 & mnrnm_h`i'>0 
}
forvalues i=1/9 {
egen ptc`i'=rowtotal( rm_h`i'  nrm_h`i' rnm_h`i' nrnm_h`i')
drop mrm_h`i'  mnrm_h`i' mrnm_h`i' mnrnm_h`i' 
drop rm_h`i'  nrm_h`i' rnm_h`i' nrnm_h`i'
}

// support from grandchildren  
drop ce012s11- ce012s25

forvalues i=1/10 {
gen rm_h`i'=ce013_`i'_1 
replace rm_h`i'=. if rm_h`i'>999999 | rm_h`i'<0 
egen mrm_h`i'=rowmean(ce013_`i'_1_a ce013_`i'_1_b)
replace rm_h`i'=mrm_h`i' if rm_h`i'==. & mrm_h`i'<99999999 & mrm_h`i'>0 
replace rm_h`i'=rm_h`i'*2 if ce013_`i'_1_every==3 
replace rm_h`i'=rm_h`i'*4 if ce013_`i'_1_every==2 
replace rm_h`i'=rm_h`i'*12 if ce013_`i'_1_every==1 
}
forvalues i=1/10 {
gen rnm_h`i'=ce013_`i'_2
replace rnm_h`i'=. if rnm_h`i'>9999999 | rnm_h`i'<0 
egen mrnm_h`i'=rowmean(ce013_`i'_2_a ce013_`i'_2_b)
replace rnm_h`i'=mrnm_h`i' if rnm_h`i'==. & mrnm_h`i'<9999999 & mrnm_h`i'>0 
replace rnm_h`i'=rnm_h`i'*2 if ce013_`i'_2_every==3 
replace rnm_h`i'=rnm_h`i'*4 if ce013_`i'_2_every==2 
replace rnm_h`i'=rnm_h`i'*12 if ce013_`i'_2_every==1 
}
forvalues i=1/10 {
gen nrm_h`i'=ce013_`i'_3 
replace nrm_h`i'=. if nrm_h`i'>9999999 | nrm_h`i'<0 
egen mnrm_h`i'=rowmean(ce013_`i'_3_a ce013_`i'_3_b)
replace nrm_h`i'=mnrm_h`i' if nrm_h`i'==. & mnrm_h`i'<9999999 & mnrm_h`i'>0 
}
forvalues i=1/10 {
gen nrnm_h`i'=ce013_`i'_4 
replace nrnm_h`i'=. if nrnm_h`i'>9999999 | nrnm_h`i'<0 
egen mnrnm_h`i'=rowmean(ce013_`i'_4_a ce013_`i'_4_b)
replace nrnm_h`i'=mnrnm_h`i' if nrnm_h`i'==. & mnrnm_h`i'<9999999 & mnrnm_h`i'>0 
}
forvalues i=1/10{
egen gctp`i'=rowtotal( rm_h`i'  nrm_h`i' rnm_h`i' nrnm_h`i')
drop mrm_h`i'  mnrm_h`i' mrnm_h`i' mnrnm_h`i' 
drop rm_h`i'  nrm_h`i' rnm_h`i' nrnm_h`i'
}

// support to grandchildren (children of children) 
drop ce032s11- ce032s25

forvalues i=1/10 {
gen rm_h`i'=ce033_`i'_1 
replace rm_h`i'=. if rm_h`i'>999999 | rm_h`i'<0 
egen mrm_h`i'=rowmean(ce033_`i'_1_a ce033_`i'_1_b)
replace rm_h`i'=mrm_h`i' if rm_h`i'==. & mrm_h`i'<99999999 & mrm_h`i'>0 
replace rm_h`i'=rm_h`i'*2 if ce033_`i'_1_every==3 
replace rm_h`i'=rm_h`i'*4 if ce033_`i'_1_every==2 
replace rm_h`i'=rm_h`i'*12 if ce033_`i'_1_every==1 
}
forvalues i=1/10 {
gen rnm_h`i'=ce033_`i'_2
replace rnm_h`i'=. if rnm_h`i'>9999999 | rnm_h`i'<0 
egen mrnm_h`i'=rowmean(ce033_`i'_2_a ce033_`i'_2_b)
replace rnm_h`i'=mrnm_h`i' if rnm_h`i'==. & mrnm_h`i'<9999999 & mrnm_h`i'>0 
replace rnm_h`i'=rnm_h`i'*2 if ce033_`i'_2_every==3 
replace rnm_h`i'=rnm_h`i'*4 if ce033_`i'_2_every==2 
replace rnm_h`i'=rnm_h`i'*12 if ce033_`i'_2_every==1 
}
forvalues i=1/10 {
gen nrm_h`i'=ce033_`i'_3 
replace nrm_h`i'=. if nrm_h`i'>9999999 | nrm_h`i'<0 
egen mnrm_h`i'=rowmean(ce033_`i'_3_a ce033_`i'_3_b)
replace nrm_h`i'=mnrm_h`i' if nrm_h`i'==. & mnrm_h`i'<9999999 & mnrm_h`i'>0 
}
forvalues i=1/10 {
gen nrnm_h`i'=ce033_`i'_4 
replace nrnm_h`i'=. if nrnm_h`i'>9999999 | nrnm_h`i'<0 
egen mnrnm_h`i'=rowmean(ce033_`i'_4_a ce033_`i'_4_b)
replace nrnm_h`i'=mnrnm_h`i' if nrnm_h`i'==. & mnrnm_h`i'<9999999 & mnrnm_h`i'>0 
}
forvalues i=1/10{
egen ptgc`i'=rowtotal( rm_h`i'  nrm_h`i' rnm_h`i' nrnm_h`i')
drop mrm_h`i'  mnrm_h`i' mrnm_h`i' mnrnm_h`i' 
drop rm_h`i'  nrm_h`i' rnm_h`i' nrnm_h`i'
}
drop ce042s9- ce042s25
drop ce047s8- ce047s25
drop cf002s9 -cf002s27
drop cf003_2_26_- cf003_2_28_
drop cf003_3_26_- cf003_3_28_
drop cf003_4_26_- cf003_4_28_
drop cf003_26_s1- cf003_28_s2

// Childcare help for children 

forvalues i=1/8{
gen week`i'=cf003_1_`i'_
gen hour`i'=cf003_2_`i'_
replace week`i'=52 if cf003_1_`i'_>52 & cf003_1_`i'_<. 
replace hour`i'=140 if cf003_2_`i'_>140 & cf003_2_`i'_<. 
list ID if week`i'==. & hour`i'!=. 
list ID if week`i'!=. & hour`i'==.            
qui gen s_hour`i'=week`i'*hour`i' if week`i'!=. & hour`i'!=. 
drop week`i' hour`i' 
}
forvalues i=1/8{
gen week`i'=cf003_3_`i'_
gen hour`i'=cf003_4_`i'_
replace week`i'=52 if cf003_3_`i'_>52 & cf003_3_`i'_<. 
replace hour`i'=140 if cf003_4_`i'_>140 & cf003_4_`i'_<. 
list ID if week`i'==. & hour`i'!=. 
list ID if week`i'!=. & hour`i'==.           
qui gen r_hour`i'=week`i'*hour`i' if week`i'!=. & hour`i'!=. 
drop week`i' hour`i' 
}

forvalues i=1/8{
egen gc_hrs`i'=rowmean(r_hour`i' s_hour`i')
drop r_hour`i' s_hour`i'
}

// ONE TIME GIFT FROM CHILDREN 

forvalues i=1/7 {
gen gft_rc`i'=ce048_`i'_
gen gft_rcyr`i'=ce049_`i'_
}
forvalues i=1/7 {
replace ce043_`i'_=. if ce043_`i'_<0
gen gft_gv`i'=ce043_`i'_
gen gft_gvyr`i'=ce044_`i'_
}

keep ID householdID communityID cg* ctp1- gft_gvyr7
gen lvar1_r= cg001_1_
gen lvar2_r= cg002_1_
gen lvar1_s= cg001_2_
gen lvar2_s= cg002_2_
replace  lvar2_s= cg002_3_ if  lvar2_s==. & cg002_3_<.
replace  lvar2_s= cg002_3_ if  lvar2_s==. & cg002_3_!=.
replace  lvar2_s= cg002_3_ if  lvar2_s==.d & cg002_3_!=.
replace  lvar1_s= cg001_3_ if  lvar1_s==.d & cg001_3_!=.
replace  lvar2_r= cg002_3_ if  lvar2_r==.d & cg002_3_!=.
replace  lvar1_r= cg001_3_ if  lvar1_r==.d & cg001_3_!=.
drop cg001_1_- cg003
reshape long ctp ptc gctp ptgc gc_hrs gft_rc gft_gv gft_rcyr gft_gvyr, i(ID) j(child_id)

save "$working_data/transfer11.dta", replace 


**==============================================**
**                 Transfer 2013                **
**==============================================**
use "$raw_data/Family_Transfer13.dta", clear 

//support from children living apart 

forvalues i=1/11{
ren xchildmembercv_`i'_ hhmem_id`i'
}

forvalues i=1/11 {
gen tmh`i'=ce009_1_`i'_
replace tmh`i'=. if tmh`i'>999999 | tmh`i'<0 
}
forvalues i=1/11 {
gen rm_h`i'=ce009_2_`i'_
replace rm_h`i'=. if rm_h`i'>9999999 | rm_h`i'<0 
}
forvalues i=1/11 {
gen tkh`i'=ce009_3_`i'_
replace tkh`i'=. if tkh`i'>9999999 | tkh`i'<0 
}
forvalues i=1/11 {
gen rk_h`i'=ce009_4_`i'_
replace rk_h`i'=. if rk_h`i'>9999999 | rk_h`i'<0 
}
forvalues i=1/7 {
egen mtmh`i'=rowmean(ce010_1_`i'_bracket_max ce010_1_`i'_bracket_min)
egen mrm_h`i'=rowmean(ce010_2_`i'_bracket_max ce010_2_`i'_bracket_min)
egen mtkh`i'=rowmean(ce010_3_`i'_bracket_max ce010_3_`i'_bracket_min)
egen mrk_h`i'=rowmean(ce010_4_`i'_bracket_max ce010_4_`i'_bracket_min)
replace tmh`i'=mtmh`i' if tmh`i'==. & mtmh`i'<99999999 & mtmh`i'>0 
replace rm_h`i'=mrm_h`i' if rm_h`i'==. & mrm_h`i'<9999999 & mrm_h`i'>0 
replace tkh`i'=mtkh`i' if tkh`i'==. & mtkh`i'<9999999 & mtkh`i'>0 
replace rk_h`i'=mrk_h`i' if rk_h`i'==. & mrk_h`i'<9999999 & mrk_h`i'>0 
}
forvalues i=1/11{
egen ctp`i'=rowtotal( tmh`i'  tkh`i' )
egen rctp`i'=rowtotal( rm_h`i'  rk_h`i' )
drop tmh`i'  tkh`i' rm_h`i'  rk_h`i' 
}
forvalues i=1/7{
drop mtmh`i'  mtkh`i' mrm_h`i'  mrk_h`i'  
}

//support to children living apart 

forvalues i=1/11 {
gen tmh`i'=ce029_1_`i'_
replace tmh`i'=. if tmh`i'>999999 | tmh`i'<0 
}
forvalues i=1/11 {
gen rm_h`i'=ce029_2_`i'_
replace rm_h`i'=. if rm_h`i'>9999999 | rm_h`i'<0 
}
forvalues i=1/11 {
gen tkh`i'=ce029_3_`i'_
replace tkh`i'=. if tkh`i'>9999999 | tkh`i'<0 
}
forvalues i=1/11 {
gen rk_h`i'=ce029_4_`i'_
replace rk_h`i'=. if rk_h`i'>9999999 | rk_h`i'<0 
}
forvalues i=1/6 {
egen mtmh`i'=rowmean(ce030_1_`i'_bracket_max ce030_1_`i'_bracket_min)
egen mrm_h`i'=rowmean(ce030_2_`i'_bracket_max ce030_2_`i'_bracket_min)
egen mtkh`i'=rowmean(ce030_3_`i'_bracket_max ce030_3_`i'_bracket_min)
egen mrk_h`i'=rowmean(ce030_4_`i'_bracket_max ce030_4_`i'_bracket_min)
replace tmh`i'=mtmh`i' if tmh`i'==. & mtmh`i'<99999999 & mtmh`i'>0 
replace rm_h`i'=mrm_h`i' if rm_h`i'==. & mrm_h`i'<9999999 & mrm_h`i'>0 
replace tkh`i'=mtkh`i' if tkh`i'==. & mtkh`i'<9999999 & mtkh`i'>0 
replace rk_h`i'=mrk_h`i' if rk_h`i'==. & mrk_h`i'<9999999 & mrk_h`i'>0 
}
forvalues i=1/11{
egen ptc`i'=rowtotal( tmh`i'  tkh`i' )
egen rptc`i'=rowtotal( rm_h`i'  rk_h`i' )
drop tmh`i'  tkh`i' rm_h`i'  rk_h`i' 
}
forvalues i=1/6{
drop mtmh`i'  mtkh`i' mrm_h`i'  mrk_h`i'  
}

// support from grandchildren (children of children) 

forvalues i=1/11 {
gen tmh`i'=ce013_1_`i'_
replace tmh`i'=. if tmh`i'>999999 | tmh`i'<0 
}
forvalues i=1/11 {
gen rm_h`i'=ce013_2_`i'_
replace rm_h`i'=. if rm_h`i'>9999999 | rm_h`i'<0 
}
forvalues i=1/11 {
gen tkh`i'=ce013_3_`i'_
replace tkh`i'=. if tkh`i'>9999999 | tkh`i'<0 
}
forvalues i=1/11 {
gen rk_h`i'=ce013_4_`i'_
replace rk_h`i'=. if rk_h`i'>9999999 | rk_h`i'<0 
}
forvalues i=1/5 {
egen mtmh`i'=rowmean(ce014_1_`i'_bracket_max ce014_1_`i'_bracket_min)
egen mrm_h`i'=rowmean(ce014_2_`i'_bracket_max ce014_2_`i'_bracket_min)
egen mtkh`i'=rowmean(ce014_3_`i'_bracket_max ce014_3_`i'_bracket_min)
egen mrk_h`i'=rowmean(ce014_4_`i'_bracket_max ce014_4_`i'_bracket_min)
replace tmh`i'=mtmh`i' if tmh`i'==. & mtmh`i'<99999999 & mtmh`i'>0 
replace rm_h`i'=mrm_h`i' if rm_h`i'==. & mrm_h`i'<9999999 & mrm_h`i'>0 
replace tkh`i'=mtkh`i' if tkh`i'==. & mtkh`i'<9999999 & mtkh`i'>0 
replace rk_h`i'=mrk_h`i' if rk_h`i'==. & mrk_h`i'<9999999 & mrk_h`i'>0 
}
forvalues i=1/11{
egen gctp`i'=rowtotal( tmh`i'  tkh`i' )
egen rgctp`i'=rowtotal( rm_h`i'  rk_h`i' )
drop tmh`i'  tkh`i' rm_h`i'  rk_h`i' 
}
forvalues i=1/5{
drop mtmh`i'  mtkh`i' mrm_h`i'  mrk_h`i'  
}

// support to grandchildren (children of children) 

forvalues i=1/11 {
gen tmh`i'=ce031_1_`i'_
replace tmh`i'=. if tmh`i'>999999 | tmh`i'<0 
}
forvalues i=1/11 {
gen rm_h`i'=ce031_2_`i'_
replace rm_h`i'=. if rm_h`i'>9999999 | rm_h`i'<0 
}
forvalues i=1/11 {
gen tkh`i'=ce031_3_`i'_
replace tkh`i'=. if tkh`i'>9999999 | tkh`i'<0 
}
forvalues i=1/11 {
gen rk_h`i'=ce031_4_`i'_
replace rk_h`i'=. if rk_h`i'>9999999 | rk_h`i'<0 
}
forvalues i=1/4 {
egen mtmh`i'=rowmean(ce014_1_`i'_bracket_max ce014_1_`i'_bracket_min)
egen mrm_h`i'=rowmean(ce014_2_`i'_bracket_max ce014_2_`i'_bracket_min)
egen mtkh`i'=rowmean(ce014_3_`i'_bracket_max ce014_3_`i'_bracket_min)
egen mrk_h`i'=rowmean(ce014_4_`i'_bracket_max ce014_4_`i'_bracket_min)
replace tmh`i'=mtmh`i' if tmh`i'==. & mtmh`i'<99999999 & mtmh`i'>0 
replace rm_h`i'=mrm_h`i' if rm_h`i'==. & mrm_h`i'<9999999 & mrm_h`i'>0 
replace tkh`i'=mtkh`i' if tkh`i'==. & mtkh`i'<9999999 & mtkh`i'>0 
replace rk_h`i'=mrk_h`i' if rk_h`i'==. & mrk_h`i'<9999999 & mrk_h`i'>0 
}
forvalues i=1/11{
egen ptgc`i'=rowtotal( tmh`i'  tkh`i' )
egen rptgc`i'=rowtotal( rm_h`i'  rk_h`i' )
drop tmh`i'  tkh`i' rm_h`i'  rk_h`i' 
}
forvalues i=1/4{
drop mtmh`i'  mtkh`i' mrm_h`i'  mrk_h`i'  
}

// Childcare help for children 
gen cf003_1_10_=. 
gen cf003_2_10_=. 
gen cf003_3_10_=. 
gen cf003_4_10_=. 

forvalues i=1/11{
replace cf003_1_`i'_=. if cf003_1_`i'_<0
replace cf003_2_`i'_=. if cf003_2_`i'_<0
replace cf003_3_`i'_=. if cf003_3_`i'_<0
replace cf003_4_`i'_=. if cf003_4_`i'_<0
egen mweek`i'=rowmean(cf003_1_`i'_ cf003_3_`i'_)
egen mhour`i'=rowmean(cf003_2_`i'_ cf003_2_`i'_)
}

forvalues i=1/11{
gen week`i'=cf003_1_`i'_
gen hour`i'=cf003_2_`i'_
replace week`i'=52 if cf003_1_`i'_>52 & cf003_1_`i'_<. 
replace hour`i'=140 if cf003_2_`i'_>140 & cf003_2_`i'_<. 
qui gen s_hour`i'=week`i'*hour`i' if week`i'!=. & hour`i'!=. 
replace s_hour`i'=week`i'*mhour`i' if week`i'!=. & hour`i'==. 
replace s_hour`i'=mweek`i'*hour`i' if week`i'==. & hour`i'!=. 
drop week`i' hour`i' 
}
forvalues i=1/11{
gen week`i'=cf003_3_`i'_
gen hour`i'=cf003_4_`i'_
replace week`i'=52 if cf003_3_`i'_>52 & cf003_3_`i'_<. 
replace hour`i'=140 if cf003_4_`i'_>140 & cf003_4_`i'_<.    
qui gen r_hour`i'=week`i'*hour`i' if week`i'!=. & hour`i'!=. 
replace r_hour`i'=week`i'*mhour`i' if week`i'!=. & hour`i'==. 
replace r_hour`i'=mweek`i'*hour`i' if week`i'==. & hour`i'!=. 
drop week`i' hour`i' 
}

forvalues i=1/11{
egen gc_hrs`i'=rowmean(r_hour`i' s_hour`i')
drop r_hour`i' s_hour`i'
}

keep ID householdID communityID ctp1- rptgc11 gc_hrs1- gc_hrs11 hhmem_id1-hhmem_id11
reshape long ctp ptc gctp ptgc rptc rctp rgctp rptgc gc_hrs hhmem_id , i(ID) j(child_id)

save "$working_data/transfer13.dta", replace 

