
global data "$path/data/CHARLS/working_data"
global tables "$path/tables/transfer"
global figure "$path/figures/transfer"
cd "$tables" 


use "$data/parents_em.dta", clear 
 
local control age female edu_yr rs_N mage_ch  N_ch N_mch 
local i 2 
local ctr trpt`i' female

eststo ch: qui reghdfe  oldcare_c	trpt`i'  `control', abs(proyr i.countyID) vce(cl countyID) 
	sum oldcare_c if treat2==0 & year==11 
	local mean1 `r(mean)'
	sum oldcare_c if treat2==0 & year==13 
	local mean3 `r(mean)'
	local dmean `mean3'-`mean1' 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr') addsta("Control Baseline Mean", `mean1') ///
		label ctitle(on children, all) nonotes replace 

eststo ps: qui reghdfe  oldcare_p 	trpt`i'  `control', abs(proyr i.countyID) vce(cl countyID)
	sum oldcare_p if treat2==0 & year==11 
	local mean1 `r(mean)'
	sum oldcare_p if treat2==0 & year==13 
	local mean3 `r(mean)'
	local dmean `mean3'-`mean1' 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr') addsta("Control Baseline Mean", `mean1') ///
		label ctitle(on pensions, all)

qui reghdfe  oldcare_c	trpt`i'  `control' if age11<60,abs(proyr i.countyID) vce(cl countyID) 
	sum oldcare_c if treat2==0 & year==11  &  age11<60
	local mean1 `r(mean)'
	sum oldcare_c if treat2==0 & year==13  &  age11<60
	local mean3 `r(mean)'
	local dmean `mean3'-`mean1' 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr') addsta("Control Baseline Mean", `mean1') ///
		label ctitle(on children, $<$ 60)
	
qui reghdfe  oldcare_p 	trpt`i'  `control' if age11<60, abs(proyr i.countyID) vce(cl countyID) 
	sum oldcare_p if treat2==0 & year==11 &  age11<60
	local mean1 `r(mean)'
	sum oldcare_p if treat2==0 & year==13  &  age11<60
	local mean3 `r(mean)'
	local dmean `mean3'-`mean1' 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr') addsta("Control Baseline Mean", `mean1') ///
		label ctitle(on pensions, $<$ 60)
	
qui reghdfe  oldcare_c	trpt`i'  `control' if age11>=60,abs(proyr i.countyID) vce(cl countyID) 
	sum oldcare_c if treat2==0 & year==11  & age11>=60
	local mean1 `r(mean)'
	sum oldcare_c if treat2==0 & year==13  & age11>=60
	local mean3 `r(mean)'
	local dmean `mean3'-`mean1' 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr') addsta("Control Baseline Mean", `mean1') ///
		label ctitle(on children, $\geq$ 60)
	
qui reghdfe  oldcare_p 	trpt`i'  `control' if age11>=60,abs(proyr i.countyID) vce(cl countyID) 
	sum oldcare_p if treat2==0 & year==11 & age11>=60
	local mean1 `r(mean)'
	sum oldcare_p if treat2==0 & year==13  & age11>=60
	local mean3 `r(mean)'
	local dmean `mean3'-`mean1' 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr') addsta("Control Baseline Mean", `mean1') ///
		label ctitle(on pensions, $\geq$ 60)

** Results for Treat1-Treat3 	

foreach i in 1 3 4 {
local ctr trpt`i' 

qui reghdfe  oldcare_c	trpt`i'  `control', abs(proyr i.countyID) vce(cl countyID) 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr')  ///
		label ctitle(on children, all) nonotes replace 

qui reghdfe  oldcare_p 	trpt`i'  `control', abs(proyr i.countyID) vce(cl countyID)
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr')  ///
		label ctitle(on pensions, all)

qui reghdfe  oldcare_c	trpt`i'  `control' if age11<60,abs(proyr i.countyID) vce(cl countyID) 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr')  ///
		label ctitle(on children, $<$ 60)
	
qui reghdfe  oldcare_p 	trpt`i'  `control' if age11<60, abs(proyr i.countyID) vce(cl countyID) 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr') ///
		label ctitle(on pensions, $<$ 60)
	
qui reghdfe  oldcare_c	trpt`i'  `control' if age11>=60,abs(proyr i.countyID) vce(cl countyID) 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr')  ///
		label ctitle(on children, $\geq$ 60)
	
qui reghdfe  oldcare_p 	trpt`i'  `control' if age11>=60,abs(proyr i.countyID) vce(cl countyID) 
	outreg2 using oldcare_treat`i', dec(3) excel keep(`ctr') ///
		label ctitle(on pensions, $\geq$ 60)		
		
capture erase oldcare_treat`i'.txt  
}	

capture erase oldcare_treat4.txt  	

		
